<?php

/*
* @connect_module_class_name Payeer
*/

class Payeer extends PaymentModule
{

function _initVars()
{

$HTTP_HOST = $_SERVER ['HTTP_HOST'];

$this->title = "MyKassa";
$this->description = "
MyKassa (http://www.mykassa.org/) <br/>
   <br/>
     MyKassa: <br/>
Result Url - http://$HTTP_HOST/mykassa_callback.php <br/>
Success Url - http://$HTTP_HOST/mykassa_callback.php <br/>
Fail Url - http://$HTTP_HOST/mykassa_callback.php <br/>
";

$this->sort_order = 1;

$this->Settings = array(
'CONF_PAYEER_ID',
'CONF_PAYEER_SECRET_KEY',
'CONF_PAYEER_STATUS_AFTER_PAY'
);

}

function _initSettingFields()
{

$this->SettingsFields['CONF_PAYEER_ID'] = array(
'settings_value'                 => '',
'settings_title'                 => 'ID    MyKassa',
'settings_description'           => '  &quot; &quot;.  &quot;ID &quot;',
'settings_html_function'         => 'setting_TEXT_BOX(0,',
'sort_order'                     => 1,
);

$this->SettingsFields['CONF_PAYEER_SECRET_KEY'] = array(
'settings_value'                 => '',
'settings_title'                 => '  ',
'settings_description'           => '  &quot;  -> &quot;.  &quot;    2&quot;',
'settings_html_function'         => 'setting_TEXT_BOX(0,',
'sort_order'                     => 1,
);

$this->SettingsFields['CONF_PAYEER_STATUS_AFTER_PAY'] = array(
'settings_value'                 => '',
'settings_title'                 => '   ',
'settings_description'           => ',       ',
'settings_html_function'         => 'setting_ORDER_STATUS_SELECT(',
'sort_order'                     => 1,
);

}

function after_processing_html( $orderID )
{

$order = ordGetOrder($orderID);

$payeer_id = $this->_getSettingValue('CONF_PAYEER_ID');
$payeer_skey = $this->_getSettingValue('CONF_PAYEER_SECRET_KEY');

$m_amount = number_format($order ["order_amount"], 2, ".", "");
$m_desc = base64_encode("Payment For Order #{$orderID}");
$m_curr = "RUB";

$arHash = array($payeer_id, $orderID, $m_amount, $m_curr, $m_desc, $payeer_skey);
$m_sign = strtoupper(hash('sha256', implode(":", $arHash)));

$ret_v = "
<form name=\"submForm\" method=\"POST\" action=\"http://www.mykassa.org/api/merchant.php\">
<input type=\"hidden\" name=\"m_shop\" value=\"$payeer_id\">
<input type=\"hidden\" name=\"m_orderid\" value=\"$orderID\">
<input type=\"hidden\" name=\"m_amount\" value=\"$m_amount\">
<input type=\"hidden\" name=\"m_curr\" value=\"$m_curr\">
<input type=\"hidden\" name=\"m_desc\" value=\"$m_desc\">
<input type=\"hidden\" name=\"m_sign\" value=\"$m_sign\">
<input type=\"submit\" name=\"m_process\" value=\"  \" />
</form>
<!-- <script type=\"text/javascript\">document.submForm.submit();</script> -->
";

return $ret_v;

}

}

?>